# Ion trap image analysis  

This project is focused on extracting information from images of an ion trap.


- **app.py**: Starts image analysis in a background thread and shows all outputs in a web app at port 5000.

- **calibrate.py**: Run this script to calibrate the distance factor used for dark ions detection. Run preferably when there are no dark ions present.


To change the region of interest where the image analysis takes place, either:

- Edit the top-left and bottom-right coordinates of the region of interest manually under settings.py --> REGION

- Run: python -c "from tools import new_region; new_region()". This will open a matplotlib figure with an image of the trapped-ions. The user should click on the top-left and bottom-right coordinates.
